Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util
Class MapUtils

    java.lang.Object
      org.apache.commons.collections.MapUtils
          org.mule.util.MapUtils

    public class MapUtils

extends MapUtils

Field Summary

Fields inherited from class org.apache.commons.collections.MapUtils
`EMPTY_MAP, EMPTY_SORTED_MAP`

Constructor Summary
`MapUtils()`

Method Summary
`static
`<K,V> Map<K,V>`
` | `mapWithKeysAndValues(Class<? extends Map> mapClass, Collection<K> keys, Collection<V> values)` Convenience method for CollectionUtil#mapWithKeysAndValues(Class, Iterator, Iterator); keys and values can be null or empty.
`static
`<K,V> Map<K,V>`
` | `mapWithKeysAndValues(Class<? extends Map> mapClass, Iterator<K> keys, Iterator<V> values)` Create & populate a Map of arbitrary class.
`static
`<K,V> Map<K,V>`
` | `mapWithKeysAndValues(Class<? extends Map> mapClass, K[] keys, V[] values)` Convenience method for CollectionUtil#mapWithKeysAndValues(Class, Iterator, Iterator); keys and values can be null or empty.
`static String` | `toString(Map props, boolean newline)` Creates a String representation of the given Map, with optional newlines between elements.

Methods inherited from class org.apache.commons.collections.MapUtils
`debugPrint, fixedSizeMap, fixedSizeSortedMap, getBoolean, getBoolean, getBooleanValue, getBooleanValue, getByte, getByte, getByteValue, getByteValue, getDouble, getDouble, getDoubleValue, getDoubleValue, getFloat, getFloat, getFloatValue, getFloatValue, getInteger, getInteger, getIntValue, getIntValue, getLong, getLong, getLongValue, getLongValue, getMap, getMap, getNumber, getNumber, getObject, getObject, getShort, getShort, getShortValue, getShortValue, getString, getString, invertMap, isEmpty, isNotEmpty, lazyMap, lazyMap, lazySortedMap, lazySortedMap, logInfo, multiValueMap, multiValueMap, multiValueMap, orderedMap, predicatedMap, predicatedSortedMap, putAll, safeAddToMap, synchronizedMap, synchronizedSortedMap, toMap, toProperties, transformedMap, transformedSortedMap, typedMap, typedSortedMap, unmodifiableMap, unmodifiableSortedMap, verbosePrint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapUtils

    public MapUtils()

Method Detail

### mapWithKeysAndValues

    public static <K,V> Map<K,V> mapWithKeysAndValues(Class<? extends Map> mapClass,
                                                      K[] keys,
                                                      V[] values)

  Convenience method for CollectionUtil#mapWithKeysAndValues(Class, Iterator, Iterator); keys and values can be null or empty.

### mapWithKeysAndValues

    public static <K,V> Map<K,V> mapWithKeysAndValues(Class<? extends Map> mapClass,
                                                      Collection<K> keys,
                                                      Collection<V> values)

  Convenience method for CollectionUtil#mapWithKeysAndValues(Class, Iterator, Iterator); keys and values can be null or empty.

### mapWithKeysAndValues

    public static <K,V> Map<K,V> mapWithKeysAndValues(Class<? extends Map> mapClass,
                                                      Iterator<K> keys,
                                                      Iterator<V> values)

  Create & populate a Map of arbitrary class. Populating stops when either the keys or values iterator is null or exhausted.

  Parameters:
    `mapClass` - the Class of the Map to instantiate
    `keys` - iterator for Objects ued as keys
    `values` - iterator for Objects used as values
  Returns:
    the instantiated Map

### toString

    public static String toString(Map props,
                                  boolean newline)

  Creates a String representation of the given Map, with optional newlines between elements.

  Parameters:
    `props` - the map to format
    `newline` - indicates whether elements are to be split across lines
  Returns:
    the formatted String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.